--- old/usr/src/head/iso/stddef_iso.h	2016-02-25 15:39:35.892334378 -0500
+++ new/usr/src/head/iso/stddef_iso.h	2016-02-25 15:39:35.904869104 -0500
@@ -80,11 +80,15 @@
 }
 #endif /* end of namespace std */
 
+#if __GNUC__ > 4 || (__GNUC__ == 4 && __GNUC_MINOR__ >= 5)
+#define	offsetof(s, m) __builtin_offsetof(s, m)
+#else
 #if __cplusplus >= 199711L
 #define	offsetof(s, m)  (std::size_t)(&(((s *)0)->m))
 #else
 #define	offsetof(s, m)  (size_t)(&(((s *)0)->m))
 #endif
+#endif	/* GNUC, etc. */
 
 #ifdef	__cplusplus
 }
